CVE-2019-11922

Priority
Description
A race condition in the one-pass compression functions of Zstandard prior
to version 1.3.8 could allow an attacker to write bytes out of bounds if an
output buffer smaller than the recommended size was used.
Assigned-to
leosilva
Notes
Package
Upstream:released (1.3.8+dfsg-2)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):needed
Ubuntu 18.04 LTS (Bionic Beaver):released (1.3.3+dfsg-2ubuntu1.1)
Ubuntu 20.04 LTS (Focal Fossa):not-affected (1.3.8+dfsg-2)
Ubuntu 20.10 (Groovy Gorilla):not-affected (1.3.8+dfsg-2)
More Information

Updated: 2020-07-28 18:54:13 UTC (commit 7b6828437fde0509248708fcdb5b0f7587b85bd1)